diff --git a/tests/fate/demux.mak b/tests/fate/demux.mak
index 9f3a6be276..b8a1a30d4b 100644
--- a/tests/fate/demux.mak
+++ b/tests/fate/demux.mak
@@ -7,6 +7,9 @@ fate-adts-id3v1-demux: CMD = framecrc -f aac -i $(TARGET_SAMPLES)/aac/id3v1.aac
 fate-adts-id3v2-demux: CMD = framecrc -f aac -i $(TARGET_SAMPLES)/aac/id3v2.aac -c:a copy
 fate-adts-id3v2-two-tags-demux: CMD = framecrc -i $(TARGET_SAMPLES)/aac/id3v2_two_tags.aac -c:a copy
 
+FATE_SAMPLES_DEMUX-$(CONFIG_AA_DEMUXER) += fate-aa-demux
+fate-aa-demux: CMD = framecrc -i $(TARGET_SAMPLES)/aa/bush.aa -c:a copy
+
 FATE_SAMPLES_DEMUX-$(CONFIG_AEA_DEMUXER) += fate-aea-demux
 fate-aea-demux: CMD = crc -i $(TARGET_SAMPLES)/aea/chirp.aea -c:a copy
 
diff --git a/tests/ref/fate/aa-demux b/tests/ref/fate/aa-demux
new file mode 100644
index 0000000000..89350b8803
--- /dev/null
+++ b/tests/ref/fate/aa-demux
@@ -0,0 +1,283 @@
+#tb 0: 1/1062500
+#media_type 0: audio
+#codec_id 0: sipr
+#sample_rate 0: 8500
+#channel_layout 0: 4
+#channel_layout_name 0: mono
+0,          0,          0,    18000,       19, 0x36e10529
+0,      18000,      18000,    18000,       19, 0x70810a69
+0,      36000,      36000,    18000,       19, 0x618f08a0
+0,      54000,      54000,    18000,       19, 0x65a508bd
+0,      72000,      72000,    18000,       19, 0x50420796
+0,      90000,      90000,    18000,       19, 0x6468084f
+0,     108000,     108000,    18000,       19, 0x75020a84
+0,     126000,     126000,    18000,       19, 0x68be09ae
+0,     144000,     144000,    18000,       19, 0x6cb709b8
+0,     162000,     162000,    18000,       19, 0x3fee061e
+0,     180000,     180000,    18000,       19, 0x53220770
+0,     198000,     198000,    18000,       19, 0x57590888
+0,     216000,     216000,    18000,       19, 0x6653089c
+0,     234000,     234000,    18000,       19, 0x55eb081f
+0,     252000,     252000,    18000,       19, 0x79750ad6
+0,     270000,     270000,    18000,       19, 0x5e340927
+0,     288000,     288000,    18000,       19, 0x60c80974
+0,     306000,     306000,    18000,       19, 0x6c5008f5
+0,     324000,     324000,    18000,       19, 0x6f5609ca
+0,     342000,     342000,    18000,       19, 0x79a609f5
+0,     360000,     360000,    18000,       19, 0x6fa308d5
+0,     378000,     378000,    18000,       19, 0x56de0789
+0,     396000,     396000,    18000,       19, 0x567408bf
+0,     414000,     414000,    18000,       19, 0x62800968
+0,     432000,     432000,    18000,       19, 0x64ae0a88
+0,     450000,     450000,    18000,       19, 0x73eb0af5
+0,     468000,     468000,    18000,       19, 0x6f1e0ac0
+0,     486000,     486000,    18000,       19, 0x5d0e0a34
+0,     504000,     504000,    18000,       19, 0x61990a70
+0,     522000,     522000,    18000,       19, 0x71e00a8a
+0,     540000,     540000,    18000,       19, 0x6c400a3f
+0,     558000,     558000,    18000,       19, 0x5f850921
+0,     576000,     576000,    18000,       19, 0x6e7e0a5e
+0,     594000,     594000,    18000,       19, 0x4bbe08cd
+0,     612000,     612000,    18000,       19, 0x62c407d5
+0,     630000,     630000,    18000,       19, 0x475f07b9
+0,     648000,     648000,    18000,       19, 0x6f480a68
+0,     666000,     666000,    18000,       19, 0x65710a4d
+0,     684000,     684000,    18000,       19, 0x4b2d0841
+0,     702000,     702000,    18000,       19, 0x64a80a03
+0,     720000,     720000,    18000,       19, 0x61f608fa
+0,     738000,     738000,    18000,       19, 0x6fb70a5e
+0,     756000,     756000,    18000,       19, 0x5f4e0a48
+0,     774000,     774000,    18000,       19, 0x5a200919
+0,     792000,     792000,    18000,       19, 0x69af0a1f
+0,     810000,     810000,    18000,       19, 0x643d094a
+0,     828000,     828000,    18000,       19, 0x56e707f7
+0,     846000,     846000,    18000,       19, 0x60ed0923
+0,     864000,     864000,    18000,       19, 0x6d5d099c
+0,     882000,     882000,    18000,       19, 0x736d0abd
+0,     900000,     900000,    18000,       19, 0x578d0981
+0,     918000,     918000,    18000,       19, 0x621f0979
+0,     936000,     936000,    18000,       19, 0x690a0938
+0,     954000,     954000,    18000,       19, 0x55df096f
+0,     972000,     972000,    18000,       19, 0x5b900945
+0,     990000,     990000,    18000,       19, 0x595e090a
+0,    1008000,    1008000,    18000,       19, 0x6f3a0b0d
+0,    1026000,    1026000,    18000,       19, 0x5df80902
+0,    1044000,    1044000,    18000,       19, 0x61fa08f6
+0,    1062000,    1062000,    18000,       19, 0x6a8e0a90
+0,    1080000,    1080000,    18000,       19, 0x7ec40b7d
+0,    1098000,    1098000,    18000,       19, 0x554707e3
+0,    1116000,    1116000,    18000,       19, 0x5ef9097a
+0,    1134000,    1134000,    18000,       19, 0x74d40c65
+0,    1152000,    1152000,    18000,       19, 0x52c909a3
+0,    1170000,    1170000,    18000,       19, 0x79740b0c
+0,    1188000,    1188000,    18000,       19, 0x64350b42
+0,    1206000,    1206000,    18000,       19, 0x65f109f4
+0,    1224000,    1224000,    18000,       19, 0x53760920
+0,    1242000,    1242000,    18000,       19, 0x5600091a
+0,    1260000,    1260000,    18000,       19, 0x5b4e08c2
+0,    1278000,    1278000,    18000,       19, 0x672d09d0
+0,    1296000,    1296000,    18000,       19, 0x658e09bc
+0,    1314000,    1314000,    18000,       19, 0x5a560999
+0,    1332000,    1332000,    18000,       19, 0x69a40ae0
+0,    1350000,    1350000,    18000,       19, 0x602a0855
+0,    1368000,    1368000,    18000,       19, 0x4f8606ed
+0,    1386000,    1386000,    18000,       19, 0x78cb0afe
+0,    1404000,    1404000,    18000,       19, 0x661609dc
+0,    1422000,    1422000,    18000,       19, 0x6ea50b3d
+0,    1440000,    1440000,    18000,       19, 0x60a709dd
+0,    1458000,    1458000,    18000,       19, 0x55ef082b
+0,    1476000,    1476000,    18000,       19, 0x6ab70a57
+0,    1494000,    1494000,    18000,       19, 0x68cb0b92
+0,    1512000,    1512000,    18000,       19, 0x752809f5
+0,    1530000,    1530000,    18000,       19, 0x4e810789
+0,    1548000,    1548000,    18000,       19, 0x60130987
+0,    1566000,    1566000,    18000,       19, 0x5ea40a08
+0,    1584000,    1584000,    18000,       19, 0x628507d4
+0,    1602000,    1602000,    18000,       19, 0x5fc2096c
+0,    1620000,    1620000,    18000,       19, 0x52a70775
+0,    1638000,    1638000,    18000,       19, 0x6e4b09af
+0,    1656000,    1656000,    18000,       19, 0x79750aab
+0,    1674000,    1674000,    18000,       19, 0x5e23085a
+0,    1692000,    1692000,    18000,       19, 0x4fb8081b
+0,    1710000,    1710000,    18000,       19, 0x574b07fc
+0,    1728000,    1728000,    18000,       19, 0x59d407b2
+0,    1746000,    1746000,    18000,       19, 0x56d308d4
+0,    1764000,    1764000,    18000,       19, 0x61310856
+0,    1782000,    1782000,    18000,       19, 0x4df90867
+0,    1800000,    1800000,    18000,       19, 0x3d760522
+0,    1818000,    1818000,    18000,       19, 0x5a0f0917
+0,    1836000,    1836000,    18000,       19, 0x5e8d0939
+0,    1854000,    1854000,    18000,       19, 0x65ee081a
+0,    1872000,    1872000,    18000,       19, 0x4665056f
+0,    1890000,    1890000,    18000,       19, 0x55c70851
+0,    1908000,    1908000,    18000,       19, 0x6cf00a94
+0,    1926000,    1926000,    18000,       19, 0x698308f0
+0,    1944000,    1944000,    18000,       19, 0x4c9106c9
+0,    1962000,    1962000,    18000,       19, 0x719d0a28
+0,    1980000,    1980000,    18000,       19, 0x491f06cc
+0,    1998000,    1998000,    18000,       19, 0x61fa0972
+0,    2016000,    2016000,    18000,       19, 0x49b105cb
+0,    2034000,    2034000,    18000,       19, 0x4b5f071f
+0,    2052000,    2052000,    18000,       19, 0x5e8e08b3
+0,    2070000,    2070000,    18000,       19, 0x5d2309bb
+0,    2088000,    2088000,    18000,       19, 0x4e8806d1
+0,    2106000,    2106000,    18000,       19, 0x566607dc
+0,    2124000,    2124000,    18000,       19, 0x4b2506ee
+0,    2142000,    2142000,    18000,       19, 0x4d810687
+0,    2160000,    2160000,    18000,       19, 0x51990841
+0,    2178000,    2178000,    18000,       19, 0x5e220870
+0,    2196000,    2196000,    18000,       19, 0x4b2f0787
+0,    2214000,    2214000,    18000,       19, 0x4a4b05f0
+0,    2232000,    2232000,    18000,       19, 0x485106b5
+0,    2250000,    2250000,    18000,       19, 0x58d20755
+0,    2268000,    2268000,    18000,       19, 0x51b807ad
+0,    2286000,    2286000,    18000,       19, 0x475b06d0
+0,    2304000,    2304000,    18000,       19, 0x4f93072f
+0,    2322000,    2322000,    18000,       19, 0x5841082a
+0,    2340000,    2340000,    18000,       19, 0x5e7f08f6
+0,    2358000,    2358000,    18000,       19, 0x4cb7075c
+0,    2376000,    2376000,    18000,       19, 0x560807b9
+0,    2394000,    2394000,    18000,       19, 0x49fb0732
+0,    2412000,    2412000,    18000,       19, 0x56790830
+0,    2430000,    2430000,    18000,       19, 0x4962066b
+0,    2448000,    2448000,    18000,       19, 0x4f410703
+0,    2466000,    2466000,    18000,       19, 0x517c078f
+0,    2484000,    2484000,    18000,       19, 0x594c0850
+0,    2502000,    2502000,    18000,       19, 0x5df7089d
+0,    2520000,    2520000,    18000,       19, 0x4b0c0813
+0,    2538000,    2538000,    18000,       19, 0x5b4d08ec
+0,    2556000,    2556000,    18000,       19, 0x66840a37
+0,    2574000,    2574000,    18000,       19, 0x60d20942
+0,    2592000,    2592000,    18000,       19, 0x5049082e
+0,    2610000,    2610000,    18000,       19, 0x64a60b38
+0,    2628000,    2628000,    18000,       19, 0x49400889
+0,    2646000,    2646000,    18000,       19, 0x598608f6
+0,    2664000,    2664000,    18000,       19, 0x496e0736
+0,    2682000,    2682000,    18000,       19, 0x5c5008af
+0,    2700000,    2700000,    18000,       19, 0x633b0aa7
+0,    2718000,    2718000,    18000,       19, 0x58ae0888
+0,    2736000,    2736000,    18000,       19, 0x3da106b3
+0,    2754000,    2754000,    18000,       19, 0x3f7b077b
+0,    2772000,    2772000,    18000,       19, 0x4ba60917
+0,    2790000,    2790000,    18000,       19, 0x5637099b
+0,    2808000,    2808000,    18000,       19, 0x61e10a50
+0,    2826000,    2826000,    18000,       19, 0x5157078e
+0,    2844000,    2844000,    18000,       19, 0x55cf0943
+0,    2862000,    2862000,    18000,       19, 0x59b308cb
+0,    2880000,    2880000,    18000,       19, 0x61920a8e
+0,    2898000,    2898000,    18000,       19, 0x6ee20b7b
+0,    2916000,    2916000,    18000,       19, 0x67620a9a
+0,    2934000,    2934000,    18000,       19, 0x57cb0933
+0,    2952000,    2952000,    18000,       19, 0x618209d8
+0,    2970000,    2970000,    18000,       19, 0x65bb0a22
+0,    2988000,    2988000,    18000,       19, 0x55ec0911
+0,    3006000,    3006000,    18000,       19, 0x607e0966
+0,    3024000,    3024000,    18000,       19, 0x40ee05f0
+0,    3042000,    3042000,    18000,       19, 0x5b9308f5
+0,    3060000,    3060000,    18000,       19, 0x5eb3089a
+0,    3078000,    3078000,    18000,       19, 0x555a0842
+0,    3096000,    3096000,    18000,       19, 0x66980839
+0,    3114000,    3114000,    18000,       19, 0x532e08d2
+0,    3132000,    3132000,    18000,       19, 0x672d0a76
+0,    3150000,    3150000,    18000,       19, 0x5c780996
+0,    3168000,    3168000,    18000,       19, 0x51d408cc
+0,    3186000,    3186000,    18000,       19, 0x6ee10c12
+0,    3204000,    3204000,    18000,       19, 0x463c081d
+0,    3222000,    3222000,    18000,       19, 0x65850aa0
+0,    3240000,    3240000,    18000,       19, 0x6d1c0a88
+0,    3258000,    3258000,    18000,       19, 0x5ace08d7
+0,    3276000,    3276000,    18000,       19, 0x5fef096a
+0,    3294000,    3294000,    18000,       19, 0x590607e9
+0,    3312000,    3312000,    18000,       19, 0x61bd0a65
+0,    3330000,    3330000,    18000,       19, 0x633808c2
+0,    3348000,    3348000,    18000,       19, 0x3ea2063a
+0,    3366000,    3366000,    18000,       19, 0x5ff70a03
+0,    3384000,    3384000,    18000,       19, 0x6c020997
+0,    3402000,    3402000,    18000,       19, 0x82b00c41
+0,    3420000,    3420000,    18000,       19, 0x6b9509d2
+0,    3438000,    3438000,    18000,       19, 0x54af0943
+0,    3456000,    3456000,    18000,       19, 0x49d40802
+0,    3474000,    3474000,    18000,       19, 0x52de08df
+0,    3492000,    3492000,    18000,       19, 0x6dae0ad8
+0,    3510000,    3510000,    18000,       19, 0x5fbc0883
+0,    3528000,    3528000,    18000,       19, 0x56620873
+0,    3546000,    3546000,    18000,       19, 0x5203093c
+0,    3564000,    3564000,    18000,       19, 0x653d0b5f
+0,    3582000,    3582000,    18000,       19, 0x6068097d
+0,    3600000,    3600000,    18000,       19, 0x57700810
+0,    3618000,    3618000,    18000,       19, 0x562809ce
+0,    3636000,    3636000,    18000,       19, 0x57ad0849
+0,    3654000,    3654000,    18000,       19, 0x5dde099d
+0,    3672000,    3672000,    18000,       19, 0x66700947
+0,    3690000,    3690000,    18000,       19, 0x5ca108fb
+0,    3708000,    3708000,    18000,       19, 0x53270773
+0,    3726000,    3726000,    18000,       19, 0x63a50a30
+0,    3744000,    3744000,    18000,       19, 0x64f20a63
+0,    3762000,    3762000,    18000,       19, 0x654509e0
+0,    3780000,    3780000,    18000,       19, 0x560207f2
+0,    3798000,    3798000,    18000,       19, 0x54bf0811
+0,    3816000,    3816000,    18000,       19, 0x5bb70a2d
+0,    3834000,    3834000,    18000,       19, 0x661d08dd
+0,    3852000,    3852000,    18000,       19, 0x4f130960
+0,    3870000,    3870000,    18000,       19, 0x56000920
+0,    3888000,    3888000,    18000,       19, 0x59110a1d
+0,    3906000,    3906000,    18000,       19, 0x588009c7
+0,    3924000,    3924000,    18000,       19, 0x60b40a23
+0,    3942000,    3942000,    18000,       19, 0x5ab708dd
+0,    3960000,    3960000,    18000,       19, 0x510208b6
+0,    3978000,    3978000,    18000,       19, 0x4cbb07fd
+0,    3996000,    3996000,    18000,       19, 0x5a990938
+0,    4014000,    4014000,    18000,       19, 0x671b09f7
+0,    4032000,    4032000,    18000,       19, 0x76d90a8a
+0,    4050000,    4050000,    18000,       19, 0x81350b4b
+0,    4068000,    4068000,    18000,       19, 0x5eeb08b8
+0,    4086000,    4086000,    18000,       19, 0x538d0a68
+0,    4104000,    4104000,    18000,       19, 0x649a0962
+0,    4122000,    4122000,    18000,       19, 0x64130a0b
+0,    4140000,    4140000,    18000,       19, 0x5ef30948
+0,    4158000,    4158000,    18000,       19, 0x585a0824
+0,    4176000,    4176000,    18000,       19, 0x46ce07ff
+0,    4194000,    4194000,    18000,       19, 0x50bc08da
+0,    4212000,    4212000,    18000,       19, 0x5b1d08a5
+0,    4230000,    4230000,    18000,       19, 0x5da50993
+0,    4248000,    4248000,    18000,       19, 0x4d15087b
+0,    4266000,    4266000,    18000,       19, 0x472106a1
+0,    4284000,    4284000,    18000,       19, 0x6713098a
+0,    4302000,    4302000,    18000,       19, 0x4bec0881
+0,    4320000,    4320000,    18000,       19, 0x607109d9
+0,    4338000,    4338000,    18000,       19, 0x631a0af3
+0,    4356000,    4356000,    18000,       19, 0x7b020b89
+0,    4374000,    4374000,    18000,       19, 0x6cc80ae5
+0,    4392000,    4392000,    18000,       19, 0x5bce0a35
+0,    4410000,    4410000,    18000,       19, 0x71750a72
+0,    4428000,    4428000,    18000,       19, 0x61330af8
+0,    4446000,    4446000,    18000,       19, 0x80390d10
+0,    4464000,    4464000,    18000,       19, 0x60300a32
+0,    4482000,    4482000,    18000,       19, 0x4bbb0764
+0,    4500000,    4500000,    18000,       19, 0x749c0a92
+0,    4518000,    4518000,    18000,       19, 0x5d0709ce
+0,    4536000,    4536000,    18000,       19, 0x75400bd2
+0,    4554000,    4554000,    18000,       19, 0x56b008ed
+0,    4572000,    4572000,    18000,       19, 0x5b5309ec
+0,    4590000,    4590000,    18000,       19, 0x4f110862
+0,    4608000,    4608000,    18000,       19, 0x574e0869
+0,    4626000,    4626000,    18000,       19, 0x58e409a7
+0,    4644000,    4644000,    18000,       19, 0x636108d7
+0,    4662000,    4662000,    18000,       19, 0x5a8b0862
+0,    4680000,    4680000,    18000,       19, 0x508908ec
+0,    4698000,    4698000,    18000,       19, 0x4bdd06d8
+0,    4716000,    4716000,    18000,       19, 0x6abb0a58
+0,    4734000,    4734000,    18000,       19, 0x674b0ab4
+0,    4752000,    4752000,    18000,       19, 0x587d08be
+0,    4770000,    4770000,    18000,       19, 0x63f808b9
+0,    4788000,    4788000,    18000,       19, 0x662609e4
+0,    4806000,    4806000,    18000,       19, 0x6c490b07
+0,    4824000,    4824000,    18000,       19, 0x41df075a
+0,    4842000,    4842000,    18000,       19, 0x5f870a0f
+0,    4860000,    4860000,    18000,       19, 0x600f0a87
+0,    4878000,    4878000,    18000,       19, 0x535f0880
+0,    4896000,    4896000,    18000,       19, 0x5f3a09e5
+0,    4914000,    4914000,    18000,       19, 0x529d08d4
+0,    4932000,    4932000,    18000,       19, 0x67630a76
+0,    4950000,    4950000,    18000,       19, 0x4bc40844
+0,    4968000,    4968000,    18000,       19, 0x5091083a