diff --git a/tests/fate/mpc.mak b/tests/fate/mpc.mak
index 294dffeabf..3a3abfeaa5 100644
--- a/tests/fate/mpc.mak
+++ b/tests/fate/mpc.mak
@@ -9,5 +9,10 @@ fate-musepack7: CMD = pcm -i $(TARGET_SAMPLES)/musepack/inside-mp7.mpc
 fate-musepack7: CMP = oneoff
 fate-musepack7: REF = $(SAMPLES)/musepack/inside-mp7.pcm
 
+FATE_MPC-$(call ALLYES, FILE_PROTOCOL MPC8_DEMUXER MPC8_DECODER  \
+                        ARESAMPLE_FILTER PCM_S16LE_ENCODER  \
+			FRAMECRC_MUXER PIPE_PROTOCOL) += fate-musepack8
+fate-musepack8: CMD = framecrc -i $(TARGET_SAMPLES)/musepack/inside-mp8.mpc -ss 8.4 -af aresample -c:a pcm_s16le
+
 FATE_SAMPLES_AVCONV += $(FATE_MPC-yes)
 fate-mpc: $(FATE_MPC-yes)
diff --git a/tests/ref/fate/musepack8 b/tests/ref/fate/musepack8
new file mode 100644
index 0000000000..d7343c0367
--- /dev/null
+++ b/tests/ref/fate/musepack8
@@ -0,0 +1,141 @@
+#tb 0: 1/44100
+#media_type 0: audio
+#codec_id 0: pcm_s16le
+#sample_rate 0: 44100
+#channel_layout 0: 3
+#channel_layout_name 0: stereo
+0,          0,          0,      504,     2016, 0x20f6a789
+0,        504,        504,     1152,     4608, 0x561d7719
+0,       1656,       1656,     1152,     4608, 0xd5e1a50a
+0,       2808,       2808,     1152,     4608, 0x111abd47
+0,       3960,       3960,     1152,     4608, 0x349ccc65
+0,       5112,       5112,     1152,     4608, 0xd5d5d21a
+0,       6264,       6264,     1152,     4608, 0xac626548
+0,       7416,       7416,     1152,     4608, 0x89d4b1fb
+0,       8568,       8568,     1152,     4608, 0xb704febc
+0,       9720,       9720,     1152,     4608, 0xdc5402b2
+0,      10872,      10872,     1152,     4608, 0x038f33e1
+0,      12024,      12024,     1152,     4608, 0x12670635
+0,      13176,      13176,     1152,     4608, 0xd8088a01
+0,      14328,      14328,     1152,     4608, 0xa6b66a2b
+0,      15480,      15480,     1152,     4608, 0x8d88077d
+0,      16632,      16632,     1152,     4608, 0xa8c2ed98
+0,      17784,      17784,     1152,     4608, 0xa5bacfc6
+0,      18936,      18936,     1152,     4608, 0x4284cedd
+0,      20088,      20088,     1152,     4608, 0x4344359b
+0,      21240,      21240,     1152,     4608, 0xdc12f0ee
+0,      22392,      22392,     1152,     4608, 0x92a31183
+0,      23544,      23544,     1152,     4608, 0xaf29fdb9
+0,      24696,      24696,     1152,     4608, 0x178b3d29
+0,      25848,      25848,     1152,     4608, 0x470add1a
+0,      27000,      27000,     1152,     4608, 0xcc7c19bb
+0,      28151,      28151,     1152,     4608, 0x3cbe3860
+0,      29303,      29303,     1152,     4608, 0x7122f86b
+0,      30455,      30455,     1152,     4608, 0x4836dbbb
+0,      31607,      31607,     1152,     4608, 0xb4773213
+0,      32759,      32759,     1152,     4608, 0x2290ff19
+0,      33911,      33911,     1152,     4608, 0x389ea795
+0,      35063,      35063,     1152,     4608, 0xdce12831
+0,      36215,      36215,     1152,     4608, 0x32a0d61b
+0,      37367,      37367,     1152,     4608, 0xa7c5ca57
+0,      38519,      38519,     1152,     4608, 0x0645ee86
+0,      39671,      39671,     1152,     4608, 0xa2a3fc2a
+0,      40823,      40823,     1152,     4608, 0xdb30e749
+0,      41975,      41975,     1152,     4608, 0x360b87b2
+0,      43127,      43127,     1152,     4608, 0xc6b4f97d
+0,      44279,      44279,     1152,     4608, 0xdffa1a3d
+0,      45431,      45431,     1152,     4608, 0xdcc45471
+0,      46583,      46583,     1152,     4608, 0x4e8724da
+0,      47735,      47735,     1152,     4608, 0x24e907c3
+0,      48887,      48887,     1152,     4608, 0x04e1a320
+0,      50039,      50039,     1152,     4608, 0x8dfebfde
+0,      51191,      51191,     1152,     4608, 0x8d713913
+0,      52343,      52343,     1152,     4608, 0x628b0fa6
+0,      53495,      53495,     1152,     4608, 0x19b50bd6
+0,      54647,      54647,     1152,     4608, 0xc2a79942
+0,      55799,      55799,     1152,     4608, 0x7f25d48d
+0,      56951,      56951,     1152,     4608, 0x874acbd5
+0,      58103,      58103,     1152,     4608, 0xbea02b2d
+0,      59255,      59255,     1152,     4608, 0x1142123f
+0,      60407,      60407,     1152,     4608, 0xa14ae38c
+0,      61559,      61559,     1152,     4608, 0x1b3112e8
+0,      62711,      62711,     1152,     4608, 0x5b21fc72
+0,      63863,      63863,     1152,     4608, 0x1c38d161
+0,      65015,      65015,     1152,     4608, 0xa78e5ccf
+0,      66167,      66167,     1152,     4608, 0xbbbc338b
+0,      67319,      67319,     1152,     4608, 0xe5f90ebf
+0,      68471,      68471,     1152,     4608, 0xec2a5e39
+0,      69623,      69623,     1152,     4608, 0x438d5655
+0,      70775,      70775,     1152,     4608, 0x9ec9b9b1
+0,      71927,      71927,     1152,     4608, 0x305757ff
+0,      73080,      73080,     1152,     4608, 0xd12dc4c6
+0,      74232,      74232,     1152,     4608, 0x4de2fb6a
+0,      75384,      75384,     1152,     4608, 0x60eb0c51
+0,      76536,      76536,     1152,     4608, 0x23c10afa
+0,      77688,      77688,     1152,     4608, 0x1d860efb
+0,      78840,      78840,     1152,     4608, 0x3eca1a88
+0,      79992,      79992,     1152,     4608, 0x4572e128
+0,      81144,      81144,     1152,     4608, 0x4b2a6c35
+0,      82296,      82296,     1152,     4608, 0x3e6b540b
+0,      83448,      83448,     1152,     4608, 0xf7c2a89c
+0,      84600,      84600,     1152,     4608, 0xb2bc237f
+0,      85752,      85752,     1152,     4608, 0xccea00a4
+0,      86904,      86904,     1152,     4608, 0x66760eaf
+0,      88056,      88056,     1152,     4608, 0x102e21c5
+0,      89208,      89208,     1152,     4608, 0x10cc20cb
+0,      90360,      90360,     1152,     4608, 0x26ec3e0b
+0,      91512,      91512,     1152,     4608, 0x3f96bb9e
+0,      92664,      92664,     1152,     4608, 0x395e33de
+0,      93816,      93816,     1152,     4608, 0x0688aa79
+0,      94968,      94968,     1152,     4608, 0x39eecef9
+0,      96120,      96120,     1152,     4608, 0x451e3710
+0,      97272,      97272,     1152,     4608, 0x1c5702c4
+0,      98424,      98424,     1152,     4608, 0xd080c5f5
+0,      99576,      99576,     1152,     4608, 0xaaedd8f5
+0,     100727,     100727,     1152,     4608, 0x463a83f1
+0,     101879,     101879,     1152,     4608, 0x0791c64c
+0,     103031,     103031,     1152,     4608, 0xb7f80236
+0,     104183,     104183,     1152,     4608, 0x61e743d5
+0,     105335,     105335,     1152,     4608, 0x18fb0034
+0,     106487,     106487,     1152,     4608, 0xf9d8fe1c
+0,     107639,     107639,     1152,     4608, 0x0b42f84a
+0,     108791,     108791,     1152,     4608, 0x89e10544
+0,     109943,     109943,     1152,     4608, 0x183d0f38
+0,     111095,     111095,     1152,     4608, 0x56090130
+0,     112247,     112247,     1152,     4608, 0x83feb82a
+0,     113399,     113399,     1152,     4608, 0xe52ef665
+0,     114551,     114551,     1152,     4608, 0x64c6fe15
+0,     115703,     115703,     1152,     4608, 0x0a400962
+0,     116855,     116855,     1152,     4608, 0x5f097ee6
+0,     118007,     118007,     1152,     4608, 0x21830bc7
+0,     119159,     119159,     1152,     4608, 0xc17b0fa6
+0,     120311,     120311,     1152,     4608, 0x2de6b519
+0,     121463,     121463,     1152,     4608, 0x594d88ee
+0,     122615,     122615,     1152,     4608, 0x5b320716
+0,     123767,     123767,     1152,     4608, 0xe188194c
+0,     124919,     124919,     1152,     4608, 0x4f24ab1c
+0,     126071,     126071,     1152,     4608, 0x28a043c5
+0,     127223,     127223,     1152,     4608, 0xdb311760
+0,     128375,     128375,     1152,     4608, 0x727dc601
+0,     129527,     129527,     1152,     4608, 0x51b21379
+0,     130679,     130679,     1152,     4608, 0x2705d2f1
+0,     131831,     131831,     1152,     4608, 0x07b10a2a
+0,     132983,     132983,     1152,     4608, 0x434ac3b3
+0,     134135,     134135,     1152,     4608, 0xbfa4f26f
+0,     135287,     135287,     1152,     4608, 0x89dccc56
+0,     136439,     136439,     1152,     4608, 0x73d2120b
+0,     137591,     137591,     1152,     4608, 0xadb28218
+0,     138743,     138743,     1152,     4608, 0x7a8360d6
+0,     139895,     139895,     1152,     4608, 0xa470a873
+0,     141047,     141047,     1152,     4608, 0x5a1616e2
+0,     142199,     142199,     1152,     4608, 0x0c81bcdf
+0,     143351,     143351,     1152,     4608, 0xff13ec2a
+0,     144503,     144503,     1152,     4608, 0x8dfcb08b
+0,     145655,     145655,     1152,     4608, 0x5bfe2194
+0,     146808,     146808,     1152,     4608, 0x0cf6c6d9
+0,     147960,     147960,     1152,     4608, 0x09bca690
+0,     149112,     149112,     1152,     4608, 0x79d26a86
+0,     150264,     150264,     1152,     4608, 0xebf1a1f0
+0,     151416,     151416,     1152,     4608, 0x2cde85d3
+0,     152568,     152568,     1152,     4608, 0x0ceebddf
+0,     153720,     153720,     1152,     4608, 0x428e8187