diff --git a/tests/fate/matroska.mak b/tests/fate/matroska.mak
index e117a0f6a6..5a86d0fc45 100644
--- a/tests/fate/matroska.mak
+++ b/tests/fate/matroska.mak
@@ -138,6 +138,15 @@ FATE_MATROSKA_FFMPEG_FFPROBE-$(call ALLYES, FILE_PROTOCOL WEBVTT_DEMUXER  \
                                += fate-webm-webvtt-remux
 fate-webm-webvtt-remux: CMD = transcode webvtt $(TARGET_SAMPLES)/sub/WebVTT_capability_tester.vtt webm "-map 0 -map 0 -map 0 -map 0 -c:s copy -disposition:0 original+descriptions+hearing_impaired -disposition:1 lyrics+default+metadata -disposition:2 comment+forced -disposition:3 karaoke+captions+dub" "-map 0:0 -map 0:1 -c copy" "" "-show_entries stream_disposition:stream=index,codec_name:packet=stream_index,pts:packet_side_data_list -show_data_hash CRC32"
 
+FATE_MATROSKA_FFPROBE-$(CONFIG_MATROSKA_DEMUXER) += fate-matroska-dovi-config-profile5
+fate-matroska-dovi-config-profile5: CMD = run ffprobe$(PROGSSUF)$(EXESUF) -show_entries stream_side_data_list -select_streams v -v 0 $(TARGET_SAMPLES)/mkv/dovi-p5.mkv
+
+FATE_MATROSKA_FFMPEG_FFPROBE-$(call ALLYES, FILE_PROTOCOL PIPE_PROTOCOL \
+                                            MOV_DEMUXER MATROSKA_DEMUXER \
+                                            MATROSKA_MUXER FRAMECRC_MUXER) \
+                               += fate-matroska-dovi-write-config
+fate-matroska-dovi-write-config: CMD = transcode mov $(TARGET_SAMPLES)/hevc/dv84.mov matroska "-c:v copy" "-map 0 -c copy" "" "-show_entries stream_side_data_list -select_streams v -v 0"
+
 FATE_SAMPLES_AVCONV += $(FATE_MATROSKA-yes)
 FATE_SAMPLES_FFPROBE += $(FATE_MATROSKA_FFPROBE-yes)
 FATE_SAMPLES_FFMPEG_FFPROBE += $(FATE_MATROSKA_FFMPEG_FFPROBE-yes)
diff --git a/tests/ref/fate/matroska-dovi-config-profile5 b/tests/ref/fate/matroska-dovi-config-profile5
new file mode 100644
index 0000000000..a27976b71a
--- /dev/null
+++ b/tests/ref/fate/matroska-dovi-config-profile5
@@ -0,0 +1,13 @@
+[STREAM]
+[SIDE_DATA]
+side_data_type=DOVI configuration record
+dv_version_major=1
+dv_version_minor=0
+dv_profile=5
+dv_level=4
+rpu_present_flag=1
+el_present_flag=0
+bl_present_flag=1
+dv_bl_signal_compatibility_id=0
+[/SIDE_DATA]
+[/STREAM]
diff --git a/tests/ref/fate/matroska-dovi-write-config b/tests/ref/fate/matroska-dovi-write-config
new file mode 100644
index 0000000000..a253db9f00
--- /dev/null
+++ b/tests/ref/fate/matroska-dovi-write-config
@@ -0,0 +1,223 @@
+47d2c151ff02720fff7bd37b3028097e *tests/data/fate/matroska-dovi-write-config.matroska
+3618445 tests/data/fate/matroska-dovi-write-config.matroska
+#extradata 0:      551, 0xa18acf66
+#tb 0: 1/1000
+#media_type 0: video
+#codec_id 0: hevc
+#dimensions 0: 1920x1080
+#sar 0: 0/1
+#tb 1: 1/1000
+#media_type 1: audio
+#codec_id 1: ac3
+#sample_rate 1: 44100
+#channel_layout 1: 3
+#channel_layout_name 1: stereo
+0,        -67,          0,       33,    63375, 0xc76606ab, S=1,        8
+0,        -34,        133,       33,    46706, 0x0e08a7e5, F=0x0
+0,          0,         73,       33,    29766, 0x753c031a, F=0x0
+1,          0,          0,       34,      834, 0x6740ac04
+1,         35,         35,       34,      836, 0xe29a9a24
+0,         39,         39,       33,    19409, 0x4b948b6c, F=0x0
+1,         70,         70,       34,      836, 0xf7329e5f
+0,         73,        106,       33,    21086, 0x1b9412ce, F=0x0
+1,        105,        105,       34,      836, 0x9622a243
+0,        106,        273,       33,    62043, 0xc2356b56, F=0x0
+0,        133,        206,       33,    36175, 0x0a7df38c, F=0x0
+1,        140,        140,       34,      836, 0xb2d497c5
+0,        173,        173,       33,    16028, 0xa57fcbe9, F=0x0
+1,        174,        174,       34,      836, 0x17c8980e
+0,        206,        239,       33,    15428, 0x9a91f357, F=0x0
+1,        209,        209,       34,      836, 0xfe288a7d
+0,        239,        406,       33,    66072, 0xa542b6d7, F=0x0
+1,        244,        244,       34,      836, 0x539e82b1
+0,        273,        339,       33,    34985, 0xbfd8ff45, F=0x0
+1,        279,        279,       34,      836, 0x166291cb
+0,        306,        306,       33,    16036, 0xfc39c6ea, F=0x0
+1,        314,        314,       34,      836, 0x30127c33
+0,        339,        373,       33,    19893, 0x7e746f4e, F=0x0
+1,        348,        348,       34,      836, 0x0584947f
+0,        373,        539,       33,    77576, 0xeba2e5c8, F=0x0
+1,        383,        383,       34,      836, 0xd8c4946a
+0,        406,        473,       33,    35400, 0xbe179462, F=0x0
+1,        418,        418,       34,      836, 0xe16aa067
+0,        439,        439,       33,    15962, 0x7703dcd8, F=0x0
+1,        453,        453,       34,      836, 0x23819964
+0,        473,        506,       33,    16136, 0x78a74880, F=0x0
+1,        488,        488,       34,      836, 0x50e5974b
+0,        506,        673,       33,    74990, 0xb6fc1da7, F=0x0
+1,        523,        523,       34,      836, 0x9bb98f18
+0,        539,        606,       33,    36594, 0xc3c61c3e, F=0x0
+1,        557,        557,       34,      836, 0x8d879235
+0,        573,        573,       33,    16524, 0xb297a886, F=0x0
+1,        592,        592,       34,      836, 0xed8d94ae
+0,        606,        639,       33,    17033, 0x31b3dd63, F=0x0
+1,        627,        627,       34,      836, 0xdce8a1bc
+0,        639,        806,       33,    66745, 0x5edee4b1, F=0x0
+1,        662,        662,       34,      836, 0x0ba6a147
+0,        673,        739,       33,    37648, 0x540b100f, F=0x0
+1,        697,        697,       34,      836, 0x056496b4
+0,        706,        706,       33,    16363, 0x569798e5, F=0x0
+1,        732,        732,       34,      836, 0xef178cba
+0,        739,        773,       33,    17112, 0x9f04002b, F=0x0
+1,        766,        766,       34,      836, 0x5072955e
+0,        773,        939,       33,    69462, 0x6ed4d0a2, F=0x0
+1,        801,        801,       34,      836, 0x93f07da3
+0,        806,        873,       33,    34772, 0x2baa0683, F=0x0
+1,        836,        836,       34,      836, 0xce1995ab
+0,        839,        839,       33,    14301, 0x8d69c797, F=0x0
+1,        871,        871,       34,      834, 0x3dd29b4e
+0,        873,        906,       33,    16355, 0x1ebb9962, F=0x0
+0,        906,       1073,       33,   107788, 0xcf28b065
+1,        906,        906,       34,      836, 0x4ee59927
+0,        939,       1006,       33,    35514, 0xa824dec0, F=0x0
+1,        941,        941,       34,      836, 0x00419cb1
+0,        973,        973,       33,    15937, 0x8c06a068, F=0x0
+1,        975,        975,       34,      836, 0x63089b3f
+0,       1006,       1039,       33,    15936, 0x1a01f3e9, F=0x0
+1,       1010,       1010,       34,      836, 0xc0f0949b
+0,       1039,       1208,       33,    79014, 0xef4c241e, F=0x0
+1,       1045,       1045,       34,      836, 0x2d78960d
+0,       1073,       1139,       33,    37293, 0xb32c9665, F=0x0
+1,       1080,       1080,       34,      836, 0x62829a96
+0,       1106,       1106,       33,    12826, 0xddc8ba8d, F=0x0
+1,       1115,       1115,       34,      836, 0xb7e293cd
+0,       1139,       1174,       33,    13376, 0x76fbc02f, F=0x0
+1,       1150,       1150,       34,      836, 0xe38a9af0
+0,       1174,       1341,       33,    68959, 0x5fdeaeac, F=0x0
+1,       1184,       1184,       34,      836, 0xdbb9a0cb
+0,       1208,       1274,       33,    35503, 0x15dbf810, F=0x0
+1,       1219,       1219,       34,      836, 0xf3fb8501
+0,       1241,       1241,       33,    12298, 0xbc12d96e, F=0x0
+1,       1254,       1254,       34,      836, 0x32d49155
+0,       1274,       1308,       33,    16357, 0x3bb3e5c9, F=0x0
+1,       1289,       1289,       34,      836, 0xdc078765
+0,       1308,       1474,       33,    69872, 0x643e0e8a, F=0x0
+1,       1324,       1324,       34,      836, 0xff8a9403
+0,       1341,       1408,       33,    35059, 0xab5881c4, F=0x0
+1,       1359,       1359,       34,      836, 0x65169eff
+0,       1374,       1374,       33,    17718, 0xe78b5150, F=0x0
+1,       1393,       1393,       34,      836, 0x6abe99ad
+0,       1408,       1441,       33,    17264, 0xd5297233, F=0x0
+1,       1428,       1428,       34,      836, 0x29f79594
+0,       1441,       1608,       33,    68258, 0xea19d5bb, F=0x0
+1,       1463,       1463,       34,      836, 0x1fe49345
+0,       1474,       1541,       33,    34019, 0x1c25277c, F=0x0
+1,       1498,       1498,       34,      836, 0xf62b922e
+0,       1508,       1508,       33,    16085, 0xfc5f1909, F=0x0
+1,       1533,       1533,       34,      836, 0x2658868c
+0,       1541,       1574,       33,    17133, 0xccd80c32, F=0x0
+1,       1568,       1568,       34,      836, 0x9ac1a1dd
+0,       1574,       1741,       33,    65478, 0x92adbcf5, F=0x0
+1,       1602,       1602,       34,      836, 0x72bf9a71
+0,       1608,       1674,       33,    35702, 0x85da366e, F=0x0
+1,       1637,       1637,       34,      836, 0x0d0a7dd1
+0,       1641,       1641,       33,    17729, 0x7c6037dd, F=0x0
+1,       1672,       1672,       34,      836, 0x3bcfaaae
+0,       1674,       1708,       33,    16400, 0x07509624, F=0x0
+1,       1707,       1707,       34,      834, 0xee2f8e6d
+0,       1708,       1874,       33,    65450, 0xc93a8591, F=0x0
+0,       1741,       1808,       33,    30572, 0xe4892d21, F=0x0
+1,       1742,       1742,       34,      836, 0x20d69f8f
+0,       1774,       1774,       33,    16836, 0x34466a29, F=0x0
+1,       1777,       1777,       34,      836, 0x44a99be1
+0,       1808,       1841,       33,    16615, 0x06f42746, F=0x0
+1,       1811,       1811,       34,      836, 0x99178de9
+0,       1841,       2008,       33,    61621, 0x455e8141, F=0x0
+1,       1846,       1846,       34,      836, 0xd9ee9576
+0,       1874,       1941,       33,    35393, 0x91e3f353, F=0x0
+1,       1881,       1881,       34,      836, 0x1d9e99d5
+0,       1908,       1908,       33,    16421, 0xb5a4a3fd, F=0x0
+1,       1916,       1916,       34,      836, 0x8ffaa153
+0,       1941,       1974,       33,    15874, 0x8a12e636, F=0x0
+1,       1951,       1951,       34,      836, 0x3a4e91d2
+0,       1974,       2141,       33,   108249, 0x74b9d9a5
+1,       1986,       1986,       34,      836, 0x7c4897f5
+0,       2008,       2074,       33,    32427, 0x1b4e36e9, F=0x0
+1,       2020,       2020,       34,      836, 0x31e78ae6
+0,       2041,       2041,       33,    15263, 0xc96d6375, F=0x0
+1,       2055,       2055,       34,      836, 0x05f4a020
+0,       2074,       2108,       33,    15124, 0x24bf4865, F=0x0
+1,       2090,       2090,       34,      836, 0x33f59dee
+0,       2108,       2274,       33,    66156, 0x9536eb3a, F=0x0
+1,       2125,       2125,       34,      836, 0x4bb589e8
+0,       2141,       2208,       33,    33590, 0x12693d54, F=0x0
+1,       2160,       2160,       34,      836, 0xc13189c1
+0,       2174,       2174,       33,    15633, 0xa1f67306, F=0x0
+1,       2194,       2194,       34,      836, 0x4444958c
+0,       2208,       2241,       33,    16075, 0x1ee82b38, F=0x0
+1,       2229,       2229,       34,      836, 0x0a208c8f
+0,       2241,       2408,       33,    63442, 0xb508621f, F=0x0
+1,       2264,       2264,       34,      836, 0x7fa897d1
+0,       2274,       2341,       33,    35773, 0xa79485e3, F=0x0
+1,       2299,       2299,       34,      836, 0x9b9983a9
+0,       2308,       2308,       33,    16970, 0x6fcf7d2c, F=0x0
+1,       2334,       2334,       34,      836, 0x7c62a39c
+0,       2341,       2374,       33,    17773, 0x3a10880d, F=0x0
+1,       2369,       2369,       34,      836, 0x20e59eac
+0,       2374,       2541,       33,    66942, 0x91535a55, F=0x0
+1,       2403,       2403,       34,      836, 0xba978958
+0,       2408,       2474,       33,    36289, 0xd1337338, F=0x0
+1,       2438,       2438,       34,      836, 0x5c318db6
+0,       2441,       2441,       33,    16878, 0x0c83a101, F=0x0
+1,       2473,       2473,       34,      836, 0xd4b097ae
+0,       2474,       2508,       33,    17452, 0x8c3cb218, F=0x0
+0,       2508,       2674,       33,    64256, 0x2243ae19, F=0x0
+1,       2508,       2508,       34,      836, 0xe00c9b03
+0,       2541,       2608,       33,    33995, 0x3634ef46, F=0x0
+1,       2543,       2543,       34,      836, 0xc5458206
+0,       2574,       2574,       33,    17505, 0xb70bdaef, F=0x0
+1,       2578,       2578,       34,      834, 0x2f958a79
+0,       2608,       2641,       33,    17420, 0x0a39d08d, F=0x0
+1,       2612,       2612,       34,      836, 0xd6959d9c
+0,       2641,       2808,       33,    64814, 0x52eba8da, F=0x0
+1,       2647,       2647,       34,      836, 0x44a085a8
+0,       2674,       2741,       33,    35168, 0x3bae1145, F=0x0
+1,       2682,       2682,       34,      836, 0x70218f40
+0,       2708,       2708,       33,    18363, 0x5aac8d0b, F=0x0
+1,       2717,       2717,       34,      836, 0xa5659884
+0,       2741,       2774,       33,    18577, 0x3ef410e2, F=0x0
+1,       2752,       2752,       34,      836, 0x8159a8ed
+0,       2774,       2941,       33,    65960, 0xd928efea, F=0x0
+1,       2787,       2787,       34,      836, 0x3355a68b
+0,       2808,       2874,       33,    35750, 0x1e6b3528, F=0x0
+1,       2821,       2821,       34,      836, 0x96429008
+0,       2841,       2841,       33,    18109, 0x04a60f42, F=0x0
+1,       2856,       2856,       34,      836, 0x22f9a207
+0,       2874,       2908,       33,    18965, 0xce88b8c2, F=0x0
+1,       2891,       2891,       34,      836, 0xc51e91aa
+0,       2908,       3074,       33,    64413, 0x0e2a7b8d, F=0x0
+1,       2926,       2926,       34,      836, 0xd05a910c
+0,       2941,       3008,       33,    36536, 0x1b69fcc7, F=0x0
+1,       2961,       2961,       34,      836, 0xd96693ca
+0,       2974,       2974,       33,    16823, 0xc226cdd8, F=0x0
+1,       2996,       2996,       34,      836, 0xe4c28e6f
+0,       3008,       3041,       33,    18254, 0xe28d2b32, F=0x0
+1,       3030,       3030,       34,      836, 0x912195c2
+0,       3041,       3208,       33,   108398, 0x04e8955a
+1,       3065,       3065,       34,      836, 0x04689871
+0,       3074,       3141,       33,    39214, 0xc82d25cc, F=0x0
+1,       3100,       3100,       34,      836, 0xef3c9d49
+0,       3108,       3108,       33,    17093, 0x81e01006, F=0x0
+1,       3135,       3135,       34,      836, 0x8d567cf2
+0,       3141,       3174,       33,    16220, 0xb8b86777, F=0x0
+1,       3170,       3170,       34,      836, 0x0b319c70
+0,       3174,       3308,       33,    60533, 0xc63d4419, F=0x0
+1,       3205,       3205,       34,      836, 0xd0e88e98
+0,       3208,       3274,       33,    27638, 0xcd9cb6d0, F=0x0
+1,       3239,       3239,       34,      836, 0xd528a79c
+0,       3241,       3241,       33,    16528, 0x5e9dc6fd, F=0x0
+1,       3274,       3274,       34,      836, 0x3a95a59f
+1,       3309,       3309,       34,      836, 0xb4c88ae3
+[STREAM]
+[SIDE_DATA]
+side_data_type=DOVI configuration record
+dv_version_major=1
+dv_version_minor=0
+dv_profile=8
+dv_level=4
+rpu_present_flag=1
+el_present_flag=0
+bl_present_flag=1
+dv_bl_signal_compatibility_id=4
+[/SIDE_DATA]
+[/STREAM]