diff --git a/tests/fate/hevc.mak b/tests/fate/hevc.mak
index 6c1e7447ad..5a5dd4abe8 100644
--- a/tests/fate/hevc.mak
+++ b/tests/fate/hevc.mak
@@ -255,6 +255,9 @@ FATE_HEVC-$(call FRAMECRC, HEVC, HEVC) += fate-hevc-cabac-tudepth
 fate-hevc-small422chroma: CMD = framecrc -flags unaligned -i $(TARGET_SAMPLES)/hevc/food.hevc -pix_fmt yuv422p10le -vf scale
 FATE_HEVC-$(call FRAMECRC, HEVC, HEVC, HEVC_PARSER SCALE_FILTER) += fate-hevc-small422chroma
 
+fate-hevc-dovi-profile7-rpu: CMD = probeframes -show_entries frame=side_data_list -select_streams 1 -read_intervals "%+\#2" $(TARGET_SAMPLES)/mov/dovi-p7.mp4
+FATE_HEVC_FFPROBE-$(call DEMDEC, MOV, HEVC) += fate-hevc-dovi-profile7-rpu
+
 FATE_SAMPLES_AVCONV += $(FATE_HEVC-yes)
 FATE_SAMPLES_FFPROBE += $(FATE_HEVC_FFPROBE-yes)
 
diff --git a/tests/ref/fate/hevc-dovi-profile7-rpu b/tests/ref/fate/hevc-dovi-profile7-rpu
new file mode 100644
index 0000000000..7fa5d20f01
--- /dev/null
+++ b/tests/ref/fate/hevc-dovi-profile7-rpu
@@ -0,0 +1,296 @@
+[FRAME]
+[SIDE_DATA]
+side_data_type=Mastering display metadata
+red_x=34000/50000
+red_y=16000/50000
+green_x=13250/50000
+green_y=34500/50000
+blue_x=7500/50000
+blue_y=3000/50000
+white_point_x=15635/50000
+white_point_y=16450/50000
+min_luminance=1/10000
+max_luminance=100000000/10000
+[/SIDE_DATA]
+[SIDE_DATA]
+side_data_type=Content light level metadata
+max_content=1000
+max_average=400
+[/SIDE_DATA]
+[SIDE_DATA]
+side_data_type=Dolby Vision RPU Data
+[/SIDE_DATA]
+[SIDE_DATA]
+side_data_type=Dolby Vision Metadata
+rpu_type=2
+rpu_format=18
+vdr_rpu_profile=1
+vdr_rpu_level=0
+chroma_resampling_explicit_filter_flag=0
+coef_data_type=0
+coef_log2_denom=23
+vdr_rpu_normalized_idc=1
+bl_video_full_range_flag=0
+bl_bit_depth=10
+el_bit_depth=10
+vdr_bit_depth=12
+spatial_resampling_filter_flag=0
+el_spatial_resampling_filter_flag=1
+disable_residual_flag=0
+vdr_rpu_id=0
+mapping_color_space=0
+mapping_chroma_format_idc=0
+nlq_method_idc=0
+nlq_method_idc_name=linear_dz
+nlq_pivots=0 1023
+num_x_partitions=1
+num_y_partitions=1
+[COMPONENT]
+pivots=0 128 256 384 512 640 768 896 1023
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+nlq_offset=512
+vdr_in_max=1048576
+linear_deadzone_slope=2048
+linear_deadzone_threshold=0
+[/COMPONENT]
+[COMPONENT]
+pivots=0 1023
+[SECTION]
+mapping_idc=1
+mapping_idc_name=mmr
+mmr_order=3
+mmr_constant=448998
+mmr_coef=-1262056 8122466 -1703266 1622123 808554 -829469 -13459 801251 694657 3697830 -1819391 -772917 -654425 78034 -181321 -324811 -2213356 -716030 761880 365184 2545494
+[/SECTION]
+nlq_offset=512
+vdr_in_max=1048576
+linear_deadzone_slope=2048
+linear_deadzone_threshold=0
+[/COMPONENT]
+[COMPONENT]
+pivots=0 1023
+[SECTION]
+mapping_idc=1
+mapping_idc_name=mmr
+mmr_order=3
+mmr_constant=30364
+mmr_coef=-1369971 645159 9055254 -106426 2546351 -2246880 672220 1356576 1789054 -3311517 -1372035 -4554569 -548063 722319 57239 -2130348 3956345 1480062 -1696575 3919674 3414157
+[/SECTION]
+nlq_offset=512
+vdr_in_max=1048576
+linear_deadzone_slope=2048
+linear_deadzone_threshold=0
+[/COMPONENT]
+dm_metadata_id=0
+scene_refresh_flag=0
+ycc_to_rgb_matrix=9574/8192 0/8192 13802/8192 9574/8192 -1540/8192 -5348/8192 9574/8192 17610/8192 0/8192
+ycc_to_rgb_offset=16777216/268435456 134217728/268435456 134217728/268435456
+rgb_to_lms_matrix=7222/16384 8771/16384 390/16384 2654/16384 12430/16384 1300/16384 0/16384 422/16384 15962/16384
+signal_eotf=65535
+signal_eotf_param0=0
+signal_eotf_param1=0
+signal_eotf_param2=0
+signal_bit_depth=12
+signal_color_space=0
+signal_chroma_format=0
+signal_full_range_flag=1
+source_min_pq=7
+source_max_pq=3079
+source_diagonal=42
+[/SIDE_DATA]
+[/FRAME]
+[FRAME]
+[SIDE_DATA]
+side_data_type=Mastering display metadata
+red_x=34000/50000
+red_y=16000/50000
+green_x=13250/50000
+green_y=34500/50000
+blue_x=7500/50000
+blue_y=3000/50000
+white_point_x=15635/50000
+white_point_y=16450/50000
+min_luminance=1/10000
+max_luminance=100000000/10000
+[/SIDE_DATA]
+[SIDE_DATA]
+side_data_type=Content light level metadata
+max_content=1000
+max_average=400
+[/SIDE_DATA]
+[SIDE_DATA]
+side_data_type=Dolby Vision RPU Data
+[/SIDE_DATA]
+[SIDE_DATA]
+side_data_type=Dolby Vision Metadata
+rpu_type=2
+rpu_format=18
+vdr_rpu_profile=1
+vdr_rpu_level=0
+chroma_resampling_explicit_filter_flag=0
+coef_data_type=0
+coef_log2_denom=23
+vdr_rpu_normalized_idc=1
+bl_video_full_range_flag=0
+bl_bit_depth=10
+el_bit_depth=10
+vdr_bit_depth=12
+spatial_resampling_filter_flag=0
+el_spatial_resampling_filter_flag=1
+disable_residual_flag=0
+vdr_rpu_id=0
+mapping_color_space=0
+mapping_chroma_format_idc=0
+nlq_method_idc=0
+nlq_method_idc_name=linear_dz
+nlq_pivots=0 1023
+num_x_partitions=1
+num_y_partitions=1
+[COMPONENT]
+pivots=0 128 256 384 512 640 768 896 1023
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+[SECTION]
+mapping_idc=0
+mapping_idc_name=polynomial
+poly_order=1
+poly_coef=0 8388608
+[/SECTION]
+nlq_offset=512
+vdr_in_max=1048576
+linear_deadzone_slope=2048
+linear_deadzone_threshold=0
+[/COMPONENT]
+[COMPONENT]
+pivots=0 1023
+[SECTION]
+mapping_idc=1
+mapping_idc_name=mmr
+mmr_order=3
+mmr_constant=448998
+mmr_coef=-1262056 8122466 -1703266 1622123 808554 -829469 -13459 801251 694657 3697830 -1819391 -772917 -654425 78034 -181321 -324811 -2213356 -716030 761880 365184 2545494
+[/SECTION]
+nlq_offset=512
+vdr_in_max=1048576
+linear_deadzone_slope=2048
+linear_deadzone_threshold=0
+[/COMPONENT]
+[COMPONENT]
+pivots=0 1023
+[SECTION]
+mapping_idc=1
+mapping_idc_name=mmr
+mmr_order=3
+mmr_constant=30364
+mmr_coef=-1369971 645159 9055254 -106426 2546351 -2246880 672220 1356576 1789054 -3311517 -1372035 -4554569 -548063 722319 57239 -2130348 3956345 1480062 -1696575 3919674 3414157
+[/SECTION]
+nlq_offset=512
+vdr_in_max=1048576
+linear_deadzone_slope=2048
+linear_deadzone_threshold=0
+[/COMPONENT]
+dm_metadata_id=0
+scene_refresh_flag=0
+ycc_to_rgb_matrix=9574/8192 0/8192 13802/8192 9574/8192 -1540/8192 -5348/8192 9574/8192 17610/8192 0/8192
+ycc_to_rgb_offset=16777216/268435456 134217728/268435456 134217728/268435456
+rgb_to_lms_matrix=7222/16384 8771/16384 390/16384 2654/16384 12430/16384 1300/16384 0/16384 422/16384 15962/16384
+signal_eotf=65535
+signal_eotf_param0=0
+signal_eotf_param1=0
+signal_eotf_param2=0
+signal_bit_depth=12
+signal_color_space=0
+signal_chroma_format=0
+signal_full_range_flag=1
+source_min_pq=7
+source_max_pq=3079
+source_diagonal=42
+[/SIDE_DATA]
+[/FRAME]